{{- if and (.Values.rolloutAnalysisTemplates.enabled) (.Values.rolloutAnalysisTemplates.authToken) -}}
apiVersion: v1
kind: Secret
metadata:
  name: {{ include "promAuthSecretName" $  | trunc 63 }}
type: Opaque
stringData:
    authToken: {{ .Values.rolloutAnalysisTemplates.authToken }}
{{- end -}}